Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class AnnotationConstantExpression

Represents an annotation "constant" that may appear in annotation attributes (mainly used as a marker).

author:
  Alex Popescu

version:
  $Revision: 3264 $

Constructor Summary
`AnnotationConstantExpression(AnnotationNode node)`

Method Summary
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### AnnotationConstantExpression

    public AnnotationConstantExpression(AnnotationNode node)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)